- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages: default System System.Caching System.Collections System.Data System.Data.ActiveRecord System.Data.ActiveRecord.Relations System.Data.ActiveRecord.Scaffold System.Data.ActiveReecord.Scaffold.InputBuilder System.Data.Commom.Sqlite System.Data.Common System.Data.Common.Mssql System.Data.Common.Mysql System.Data.Common.Oracle System.Data.Common.Pgsql System.Data.Common.Sqlite System.Data.DataGateway System.Data.SqlMap System.Data.SqlMap.Configuration System.Data.SqlMap.Statements System.Exceptions System.I18N System.IO System.Security System.Util System.Web System.Web.Services System.Web.UI System.Web.UI.ActiveControls System.Web.UI.WebControls System.Web.UI.WebControls.assets System.Xml Classes: IActiveControl IBindable ICache ICacheDependency ICallbackEventHandler IDataRenderer IModule IRenderable IService IStatePersister IStyleable ITextWriter IUser Prado PradoBase TApplication TApplicationComponent TApplicationConfiguration TApplicationMode TApplicationStatePersister TComponent TComponentReflection TDraggableConstraint TDropContainerEventParameter TEnumerable TEventParameter TModule TPropertyValue TReflectionClass TService TShellApplication |
Keyword
# Interface IDataRenderer
#### Direct Known Sub-interfaces: IItemDataRenderer , IScaffoldEditRenderer IDataRenderer interface. If a control wants to be used a renderer for another data-bound control, this interface must be implemented. Since: 3.1 Author: Qiang Xue <qiang.xue@gmail.com>
Method Summary
mixed | getData ()
void | setData ( mixed $value)
Method Details
## getData
public mixed getData | ()
Output
mixed | the data bound to this object
Exception
## setData
public void setData | (mixed $value )
Input
mixed | $value | the data to be bound to this object
Output
Exception